# 1.1.0 🆕

In this update, we focused on improving the user experience and expanding functionality. We added presets for filters and sorting, as well as the ability to filter and sort devices by subnets. We also improved the task history window and revamped the device cloning process. Additionally, we added support for new devices, responsiveness, and localization in Russian.

###### NEW FEATURES ⚡:
- Presets for filters and sorting
- Added device filtering and sorting by subnets
- Added firmware reset operation
- Support for Antminer S19j XP and S19e XP Hydro
- Device "Offline" display mode
- Russian language localization
- Multi-level menu headers
- Labels for unlock types
- Responsiveness: Added some responsiveness to the application for small device screens

###### IMPROVEMENTS 🚩:
- Operations window: extended information, filtering, deleting, stopping operations
- Device context menu
- Search and monitoring algorithms
- Warnings and labels for unlock types
- Device cloning feature
- Application interface
- Improved filter selection
- Quick access to device list export

###### FIXES 🪲:
- Issue with canceling user passwords
- Automatic removal of spaces in firmware file names
- Error exporting and importing network groups for Windows
- Ended support for Windows 8 and older versions

### 1.0.2
- Fixed an issue that caused the launch to fail on Windows 11

### 1.0.1
- Fixed timeout issue when saving the network list
- Minor interface adjustments
- Added data validation in the Firmware Installation and Firmware Update dialogs (checks for empty firmware name and version)
- Added group power consumption
- Updated file name generation for exporting files. The imported file name is now used as the group name
- Implemented password saving for a range in the unlock dialog for a single miner
- Fixed issue with ignoring model parameters during firmware updates
- Fixed pool mode artifact
- Windows 7 and 8 support will be discontinued in future versions

### 1.0.0
- Initial release of the application